Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.framestore.background
Class WorkInfo

    java.lang.Object
      edu.stanford.smi.protege.server.framestore.background.WorkInfo

All Implemented Interfaces:
  Comparable<WorkInfo>

    public class WorkInfo

extends Object
implements Comparable<WorkInfo>

Field Summary
`static int` | `WORK_INFO_TIMEOUT`
`static String` | `WORK_INFO_TIMEOUT_PROPERTY`

Constructor Summary
`WorkInfo()`

Method Summary
`void` | `addReason(CacheRequestReason reason)`
`void` | `addState(ServerCachedState state)`
`int` | `compareTo(WorkInfo other)`
`boolean` | `expired()`
`RemoteSession` | `getClient()`
`ClientAndFrame` | `getClientAndFrame()`
`Frame` | `getFrame()`
`EnumSet<CacheRequestReason>` | `getReasons()`
`int` | `getSequence()`
`Set<ServerCachedState>` | `getStates()`
`boolean` | `isTargetFullCache()`
`void` | `setClient(RemoteSession client)`
`void` | `setFrame(Frame frame)`
`void` | `setNewest()`
`void` | `setSkipDirectInstances(boolean skipDirectInstances)`
`void` | `setTargetFullCache(boolean targetFullCache)`
`boolean` | `skipDirectInstances()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WORK_INFO_TIMEOUT_PROPERTY

    public static final String WORK_INFO_TIMEOUT_PROPERTY

See Also:
  Constant Field Values

### WORK_INFO_TIMEOUT

    public static final int WORK_INFO_TIMEOUT

Constructor Detail

### WorkInfo

    public WorkInfo()

Method Detail

### expired

    public boolean expired()

### getClient

    public RemoteSession getClient()

### setClient

    public void setClient(RemoteSession client)

### addState

    public void addState(ServerCachedState state)

### getStates

    public Set<ServerCachedState> getStates()

### addReason

    public void addReason(CacheRequestReason reason)

### getReasons

    public EnumSet<CacheRequestReason> getReasons()

### skipDirectInstances

    public boolean skipDirectInstances()

### setSkipDirectInstances

    public void setSkipDirectInstances(boolean skipDirectInstances)

### getSequence

    public int getSequence()

### setNewest

    public void setNewest()

### compareTo

    public int compareTo(WorkInfo other)

  Specified by:
    `compareTo` in interface `Comparable<WorkInfo>`

### getFrame

    public Frame getFrame()

### setFrame

    public void setFrame(Frame frame)

### isTargetFullCache

    public boolean isTargetFullCache()

### setTargetFullCache

    public void setTargetFullCache(boolean targetFullCache)

### getClientAndFrame

    public ClientAndFrame getClientAndFrame()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.